
Website Input - Bug #1660

Tests fail due to web-server not starting

12/19/2016 09:21 PM - Luke Murphey

Status: Closed Start date: 12/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Unit Tests Estimated time: 0.00 hour

Target version: 4.0.2   

Description

History

#1 - 12/19/2016 09:36 PM - Luke Murphey

Observations:

The logs indicate that the server was started but the function to start the web-server is being called more than once

21:06:06.960      [exec] Waiting for web-server to start ... Done

21:06:08.964      [exec] Waiting for web-server to start ...Traceback (most recent call last):

It could be that setUpClass() is getting called more than once

#2 - 12/19/2016 09:57 PM - Luke Murphey

Made setUpClass() reentrant. It still seems that these are being called out of order. I think that the test suite is calling setUpClass() before the entire

suite is running. This means that the mere existence of one test cases blocks all of the other ones. Here are the tests that use the test web-server:

TestWebInput

TestRawContent

TestCustomSeparator

TestBrowserRenderingFirefox (TestBrowserRendering)

TestBrowserRenderingIntegrated (TestBrowserRendering)

#3 - 12/19/2016 10:04 PM - Luke Murphey

Since the web-server is using a daemon thread, I think I can have the server setup globally for the test class and let the daemon thread stop itself at

the end.

#4 - 12/20/2016 05:58 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
